> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-5/v5-8-0-3.md).

# Version 5.8.0 Changelog (May 29, 2012)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 5.8.0.13964

Release Date: May 29, 2012

### Notes

* Added TextExtractor.getTextUnderAnnot() function and added the example usage in Tools.jar.
* Added PDFViewCtrl.setZoom(double zoom, boolean use\_snapshot) and PDFViewCtrl.setZoom(int x, int y, double zoom, boolean use\_snapshot) methods. Also added the sample code in Tools.jar (Tool.onDoubleTap()) to show how to customize PDFViewCtrl's onDoubleTap behavior.
* Added PDFViewCtrl.RenderingListener interface and PDFViewCtrl.setRenderingListener() to listen to start and end rendering events. Also added sample code in PDFViewCtrlDemo to show how to use them to show a spinner while PDFViewCtrl is rendering.
* Fixed the positioning bug in QuickMenu due to the bug in ICS (API 14, 15).
* Added 'Headers' folder in the SDK that contains the C++ header files that can be used with the native library to write native code.
* Changed the armv7 native library's name from "Lib\armeabi-v7a\libPDFNetC.so" to "Lib\armeabi-v7a\libPDFNetC-v7a.so". This is to get around the bug that ICS doesn't load armv7 version of the library properly even if a device is armv7 compatible.
* Misc bug fixes and improvements.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-5/v5-8-0-3.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
